Package com.smartgwt.client.ai

# Class SummarizeRecordsResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.ai.SummarizeRecordsResult

All Implemented Interfaces:
  `HasHandlers`

public class SummarizeRecordsResult extends AsyncOperationResult
The result of a record summarization operation.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SummarizeRecordsResult()`
  `SummarizeRecordsResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SummarizeRecordsResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int[]`
  `getRecordNumericalSummaries()`
  If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is not `numerical`, `null`; otherwise: If the `valueClass` is ORDINAL, the 0-based index of the category in the ordered list of `AIFieldRequest.categories` The computed numerical value ..
  `String[]`
  `getRecordSummaries()`
  If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is `numerical`, `null`; otherwise, the generated summaries (text) or unordered categories for the corresponding records of the request.
  `SummarizeRecordsResult`
  `setRecordNumericalSummaries(int... recordNumericalSummaries)`
  If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is not `numerical`, `null`; otherwise: If the `valueClass` is ORDINAL, the 0-based index of the category in the ordered list of `AIFieldRequest.categories` The computed numerical value ..
  `SummarizeRecordsResult`
  `setRecordSummaries(String... recordSummaries)`
  If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is `numerical`, `null`; otherwise, the generated summaries (text) or unordered categories for the corresponding records of the request.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SummarizeRecordsResult

    public SummarizeRecordsResult()

  - ### SummarizeRecordsResult

    public SummarizeRecordsResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SummarizeRecordsResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setRecordNumericalSummaries

    public SummarizeRecordsResult setRecordNumericalSummaries(int... recordNumericalSummaries)
    If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is not `numerical`, `null`; otherwise:
    - If the `valueClass` is ORDINAL, the 0-based index of the category in the ordered list of `AIFieldRequest.categories`
    - The computed numerical value
    .. for the corresponding records of the request.
    Parameters:
      `recordNumericalSummaries` - New recordNumericalSummaries value. Default value is *initialized by the implementation*
    Returns:
      `SummarizeRecordsResult` instance, for chaining setter calls
    See Also:
      - `setRecordSummaries(java.lang.String...)`

  - ### getRecordNumericalSummaries

    public int[] getRecordNumericalSummaries()
    If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is not `numerical`, `null`; otherwise:
    - If the `valueClass` is ORDINAL, the 0-based index of the category in the ordered list of `AIFieldRequest.categories`
    - The computed numerical value
    .. for the corresponding records of the request.
    Returns:
      Current recordNumericalSummaries value. Default value is *initialized by the implementation*
    See Also:
      - `getRecordSummaries()`

  - ### setRecordSummaries

    public SummarizeRecordsResult setRecordSummaries(String... recordSummaries)
    If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is `numerical`, `null`; otherwise, the generated summaries (text) or unordered categories for the corresponding records of the request.
    Parameters:
      `recordSummaries` - New recordSummaries value. Default value is *initialized by the implementation*
    Returns:
      `SummarizeRecordsResult` instance, for chaining setter calls
    See Also:
      - `setRecordNumericalSummaries(int...)`

  - ### getRecordSummaries

    public String[] getRecordSummaries()
    If any batch is non-successful or the SummarizeRecordsRequest.aiFieldRequest is `numerical`, `null`; otherwise, the generated summaries (text) or unordered categories for the corresponding records of the request.
    Returns:
      Current recordSummaries value. Default value is *initialized by the implementation*
    See Also:
      - `getRecordNumericalSummaries()`